org.eclipse.wst.jsdt.launching

## Class PropertyChangeEvent

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.wst.jsdt.launching.PropertyChangeEvent

All Implemented Interfaces:
  java.io.Serializable

    public class PropertyChangeEvent
    extends java.util.EventObject

An event object describing a change to a named property.

JavaRuntime provides change notification for properties of VM installs

Clients may instantiate this class; not intended to be subclassed.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`PropertyChangeEvent(java.lang.Object source, java.lang.String property, java.lang.Object oldValue, java.lang.Object newValue)` Creates a new property change event.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getNewValue()` Returns the new value of the property.
`java.lang.Object` `getOldValue()` Returns the old value of the property.
`java.lang.String` `getProperty()` Returns the name of the property that changed.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PropertyChangeEvent

    public PropertyChangeEvent(java.lang.Object source,
                               java.lang.String property,
                               java.lang.Object oldValue,
                               java.lang.Object newValue)

Creates a new property change event.

Parameters:
  `source` - the object whose property has changed
  `property` - the property that has changed (must not be `null`)
  `oldValue` - the old value of the property, or `null` if none
  `newValue` - the new value of the property, or `null` if none

### Method Detail

#### getProperty

    public java.lang.String getProperty()

Returns the name of the property that changed.

Returns:
  the name of the property that changed

#### getNewValue

    public java.lang.Object getNewValue()

Returns the new value of the property.

Returns:
  the new value, or `null` if not known or not relevant

#### getOldValue

    public java.lang.Object getOldValue()

Returns the old value of the property.

Returns:
  the old value, or `null` if not known or not relevant